Bug 977694 - superclass mismatch for class Iconv (TypeError)
superclass mismatch for class Iconv (TypeError)
Status: CLOSED DUPLICATE of bug 864321
Product: Fedora
Classification: Fedora
Component: rubygem-sup (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shreyank Gupta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 03:22 EDT by Pierguido Lambri
Modified: 2014-02-03 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 18:25:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierguido Lambri 2013-06-25 03:22:36 EDT
Description of problem:
I've installed rubygem-sup as I wanted to try sup, but with every command I try I get:

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': superclass mismatch for class Iconv (TypeError)
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/gems/gems/sup-0.10.2/lib/sup/rfc2047.rb:19:in `<top (required)>'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/gems/gems/sup-0.10.2/lib/sup/source.rb:1:in `<top (required)>'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/gems/gems/sup-0.10.2/lib/sup.rb:304:in `<top (required)>'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/share/gems/gems/sup-0.10.2/bin/sup-config:7:in `<top (required)>'
	from /usr/bin/sup-config:23:in `load'
	from /usr/bin/sup-config:23:in `<main>'



Version-Release number of selected component (if applicable):
rubygem-sup-0.10.2-9.fc18.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install rubygem-sup on Fedora 18
2. Try any command (sup, sup-add, sup-config)

Actual results:
It crashes

Expected results:
It should work :)
Comment 1 Matthew Davis 2013-07-04 14:07:15 EDT
Probable duplicate of BZ 864321
Comment 2 Fedora End Of Life 2013-12-21 09:08:04 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Dan Callaghan 2014-02-03 18:25:46 EST

*** This bug has been marked as a duplicate of bug 864321 ***

Note You need to log in before you can comment on or make changes to this bug.